| GET | /RestApi/sitefinity/generic-data/data-items | ||
|---|---|---|---|
| DELETE | /RestApi/sitefinity/generic-data/temp-items |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ItemId | query | string | No | |
| ItemType | query | string | No | |
| ItemProvider | query | string | No | |
| RelatedItemId | query | string | No | |
| RelatedItemType | query | string | No | |
| RelatedItemProvider | query | string | No | |
| RelationStatus | query | ContentLifecycleStatus? | No | |
| FieldName | query | string | No | |
| Filter | query | string | No | |
| Order | query | string | No | |
| Skip | query | int | No | |
| Take | query | int | No |
| Name | Value | |
|---|---|---|
| Master | 0 | |
| Temp | 1 | |
| Live | 2 | |
| Deleted | 4 | |
| PartialTemp | 8 |
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/generic-data/data-items HTTP/1.1 Host: www.asg.com.au Accept: application/json